## ros-humble-demo-nodes-cpp 0.20.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(demo_nodes_cpp)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(example_interfaces REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(rcutils)
find_package(rmw REQUIRED)
find_package(std_msgs REQUIRED)

include_directories(include)

function(custom_executable subfolder target)
  add_executable(${target} src/${subfolder}/${target}.cpp)
  ament_target_dependencies(${target}
    "example_interfaces"
    "rclcpp"
    "rcutils"
    "std_msgs")
  install(TARGETS ${target}
  DESTINATION lib/${PROJECT_NAME})
endfunction()

function(add_demo_dependencies library)
  target_compile_definitions(${library}
    PRIVATE "DEMO_NODES_CPP_BUILDING_DLL")
  ament_target_dependencies(${library}
    "example_interfaces"
    "rclcpp"
    "rclcpp_components"
    "rcutils"
    "std_msgs")
endfunction()
# Tutorials of Publish/Subscribe with Topics
custom_executable(topics allocator_tutorial)

# Tutorials of Request/Response with Services
custom_executable(services add_two_ints_client)

# Tutorials of Parameters with Asynchronous and Synchronous
custom_executable(parameters list_parameters_async)
custom_executable(parameters parameter_events)
custom_executable(parameters parameter_event_handler)
custom_executable(parameters set_and_get_parameters_async)

add_library(timers_library SHARED
  src/timers/one_off_timer.cpp
  src/timers/reuse_timer.cpp)
add_library(services_library SHARED
  src/services/add_two_ints_server.cpp
  src/services/add_two_ints_client.cpp
  src/services/add_two_ints_client_async.cpp)
add_library(parameters_library SHARED
  src/parameters/list_parameters.cpp
  src/parameters/parameter_blackboard.cpp
  src/parameters/set_and_get_parameters.cpp
  src/parameters/parameter_events_async.cpp
  src/parameters/even_parameters_node.cpp)
add_library(topics_library SHARED
  src/topics/content_filtering_publisher.cpp
  src/topics/content_filtering_subscriber.cpp
  src/topics/talker.cpp
  src/topics/talker_loaned_message.cpp
  src/topics/talker_serialized_message.cpp
  src/topics/listener.cpp
  src/topics/listener_serialized_message.cpp
  src/topics/listener_best_effort.cpp)
add_demo_dependencies(timers_library)
add_demo_dependencies(services_library)
add_demo_dependencies(parameters_library)
add_demo_dependencies(topics_library)

rclcpp_components_register_node(timers_library
  PLUGIN "demo_nodes_cpp::OneOffTimerNode"
  EXECUTABLE one_off_timer)
rclcpp_components_register_node(timers_library
  PLUGIN "demo_nodes_cpp::ReuseTimerNode"
  EXECUTABLE reuse_timer)

rclcpp_components_register_node(services_library
  PLUGIN "demo_nodes_cpp::ServerNode"
  EXECUTABLE add_two_ints_server)
rclcpp_components_register_node(services_library
  PLUGIN "demo_nodes_cpp::ClientNode"
  EXECUTABLE add_two_ints_client_async)

rclcpp_components_register_node(parameters_library
  PLUGIN "demo_nodes_cpp::ListParameters"
  EXECUTABLE list_parameters)
rclcpp_components_register_node(parameters_library
  PLUGIN "demo_nodes_cpp::ParameterBlackboard"
  EXECUTABLE parameter_blackboard)
rclcpp_components_register_node(parameters_library
  PLUGIN "demo_nodes_cpp::SetAndGetParameters"
  EXECUTABLE set_and_get_parameters)
rclcpp_components_register_node(parameters_library
  PLUGIN "demo_nodes_cpp::ParameterEventsAsyncNode"
  EXECUTABLE parameter_events_async)
rclcpp_components_register_node(parameters_library
  PLUGIN "demo_nodes_cpp::EvenParameterNode"
  EXECUTABLE even_parameters_node)

rclcpp_components_register_node(topics_library
  PLUGIN "demo_nodes_cpp::ContentFilteringPublisher"
  EXECUTABLE content_filtering_publisher)
rclcpp_components_register_node(topics_library
  PLUGIN "demo_nodes_cpp::ContentFilteringSubscriber"
  EXECUTABLE content_filtering_subscriber)
rclcpp_components_register_node(topics_library
  PLUGIN "demo_nodes_cpp::Talker"
  EXECUTABLE talker)
rclcpp_components_register_node(topics_library
  PLUGIN "demo_nodes_cpp::LoanedMessageTalker"
  EXECUTABLE talker_loaned_message)
rclcpp_components_register_node(topics_library
  PLUGIN "demo_nodes_cpp::SerializedMessageTalker"
  EXECUTABLE talker_serialized_message)
rclcpp_components_register_node(topics_library
  PLUGIN "demo_nodes_cpp::Listener"
  EXECUTABLE listener)
rclcpp_components_register_node(topics_library
  PLUGIN "demo_nodes_cpp::SerializedMessageListener"
  EXECUTABLE listener_serialized_message)
rclcpp_components_register_node(topics_library
  PLUGIN "demo_nodes_cpp::ListenerBestEffort"
  EXECUTABLE listener_best_effort)

install(TARGETS
  timers_library
  services_library
  parameters_library
  topics_library
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_pytest REQUIRED)
  find_package(launch_testing_ament_cmake REQUIRED)
  find_package(rmw_implementation_cmake REQUIRED)
  # Add each test case.  Multi-executable tests can be specified in
  # semicolon-separated strings, like  exe1;exe2.
  set(tutorial_tests
    "content_filtering_publisher:content_filtering_subscriber"
    list_parameters_async
    list_parameters
    parameter_events_async
    parameter_events
    set_and_get_parameters_async
    set_and_get_parameters
    "talker:listener")
  set(service_tutorial_tests
    "add_two_ints_server:add_two_ints_client"
    "add_two_ints_server:add_two_ints_client_async"
  )

  macro(tests)
    set(tutorial_tests_to_test ${tutorial_tests})
    list(APPEND tutorial_tests_to_test ${service_tutorial_tests})

    foreach(tutorial_test ${tutorial_tests_to_test})
      string(REPLACE ":" ";" tutorial_executables "${tutorial_test}")
      set(DEMO_NODES_CPP_EXPECTED_OUTPUT "")
      foreach(executable ${tutorial_executables})
        list(APPEND DEMO_NODES_CPP_EXPECTED_OUTPUT "${CMAKE_CURRENT_SOURCE_DIR}/test/${executable}")
      endforeach()

      set(DEMO_NODES_CPP_EXECUTABLE "")
      foreach(executable ${tutorial_executables})
        list(APPEND DEMO_NODES_CPP_EXECUTABLE "$<TARGET_FILE:${executable}>")
      endforeach()

      string(REPLACE ";" "_" exe_list_underscore "${tutorial_executables}")
      configure_file(
        test/test_executables_tutorial.py.in
        test_${exe_list_underscore}${target_suffix}.py.configured
        @ONLY
      )
      file(GENERATE
        OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/test_${exe_list_underscore}${target_suffix}_$<CONFIG>.py"
        INPUT "${CMAKE_CURRENT_BINARY_DIR}/test_${exe_list_underscore}${target_suffix}.py.configured"
      )

      add_launch_test(
        "${CMAKE_CURRENT_BINARY_DIR}/test_${exe_list_underscore}${target_suffix}_$<CONFIG>.py"
        TARGET test_tutorial_${exe_list_underscore}${target_suffix}
        TIMEOUT 60
        ENV
        RCL_ASSERT_RMW_ID_MATCHES=${rmw_implementation}
        RMW_IMPLEMENTATION=${rmw_implementation}
      )
      foreach(executable ${tutorial_executables})
        set_property(
          TEST test_tutorial_${exe_list_underscore}${target_suffix}
          APPEND PROPERTY DEPENDS ${executable}${target_suffix})
      endforeach()
    endforeach()
  endmacro()

  call_for_each_rmw_implementation(tests)
endif()

# Install launch files.
install(DIRECTORY
  launch
  DESTINATION share/${PROJECT_NAME}/
)

ament_package()

=== debian/changelog ===
ros-humble-demo-nodes-cpp (0.20.3-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 10 Jan 2023 06:00:00 -0000

ros-humble-demo-nodes-cpp (0.20.2-1jammy) jammy; urgency=high

  * add a demo of content filter listener (#557 <https://github.com/ros2/demos/issues/557>) (#559 <https://github.com/ros2/demos/issues/559>)
  * Contributors: mergify[bot]

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 10 May 2022 05:00:00 -0000

ros-humble-demo-nodes-cpp (0.20.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 Apr 2022 05:00:00 -0000

ros-humble-demo-nodes-cpp (0.20.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 01 Mar 2022 06:00:00 -0000

ros-humble-demo-nodes-cpp (0.19.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 14 Jan 2022 06:00:00 -0000

ros-humble-demo-nodes-cpp (0.18.0-1jammy) jammy; urgency=high

  * Update maintainers to Audrow Nash and Michael Jeronimo (#543 <https://github.com/ros2/demos/issues/543>)
  * Add how to fix the most vexing parse problem (#541 <https://github.com/ros2/demos/issues/541>)
    * use uniform initialization
  * Contributors: Audrow Nash, Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 17 Dec 2021 06:00:00 -0000

ros-humble-demo-nodes-cpp (0.17.0-1jammy) jammy; urgency=high

  * Fixing deprecated subscriber callback warnings (#532 <https://github.com/ros2/demos/issues/532>)
  * Contributors: Abrar Rahman Protyasha

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 18 Oct 2021 05:00:00 -0000

ros-humble-demo-nodes-cpp (0.16.0-1jammy) jammy; urgency=high

  * Update talker_loaned_message.cpp (#518 <https://github.com/ros2/demos/issues/518>)
  * Contributors: Zongbao Feng

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 11 Aug 2021 05:00:00 -0000

ros-humble-demo-nodes-cpp (0.15.0-1jammy) jammy; urgency=high

  * Revert "Use sizeof(char) in place for sizeof(void) (#515 <https://github.com/ros2/demos/issues/515>)" (#516 <https://github.com/ros2/demos/issues/516>)
  * change how serialized message works with subscription (#497 <https://github.com/ros2/demos/issues/497>)
  * Use sizeof(char) in place for sizeof(void) (#515 <https://github.com/ros2/demos/issues/515>)
  * Fix small print issue in allocator tutorial. (#509 <https://github.com/ros2/demos/issues/509>)
  * Contributors: Chris Lalancette, Michel Hidalgo, William Woodall

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 14 May 2021 05:00:00 -0000

ros-humble-demo-nodes-cpp (0.14.2-1jammy) jammy; urgency=high

  * Small fixes for even_parameters_node. (#500 <https://github.com/ros2/demos/issues/500>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 26 Apr 2021 05:00:00 -0000

ros-humble-demo-nodes-cpp (0.14.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 19 Apr 2021 05:00:00 -0000

ros-humble-demo-nodes-cpp (0.14.0-1jammy) jammy; urgency=high

  * change ParameterEventHandler to take events as const ref instead of shared pointer (#494 <https://github.com/ros2/demos/issues/494>)
  * Fix integer type in RCLCPP_* macro printf. (#492 <https://github.com/ros2/demos/issues/492>)
  * Contributors: Chris Lalancette, William Woodall

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 06 Apr 2021 05:00:00 -0000

ros-humble-demo-nodes-cpp (0.13.0-1jammy) jammy; urgency=high

  * Add a demo for the new ParameterEventHandler class (#486 <https://github.com/ros2/demos/issues/486>)
  * Contributors: Michael Jeronimo

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 25 Mar 2021 05:00:00 -0000

ros-humble-demo-nodes-cpp (0.12.1-1jammy) jammy; urgency=high

  * Filter qos overrides in paramter events demos (#491 <https://github.com/ros2/demos/issues/491>)
  * Update code now that parameter types are static by default (#487 <https://github.com/ros2/demos/issues/487>)
  * Contributors: Ivan Santiago Paunovic

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 18 Mar 2021 05:00:00 -0000

ros-humble-demo-nodes-cpp (0.12.0-1jammy) jammy; urgency=high

  * Update logging macros (#476 <https://github.com/ros2/demos/issues/476>)
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 Jan 2021 06:00:00 -0000

ros-humble-demo-nodes-cpp (0.11.0-1jammy) jammy; urgency=high

  * Make sure to wait for the service before declaring events. (#473 <https://github.com/ros2/demos/issues/473>)
  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Chris Lalancette, Michael Jeronimo

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 10 Dec 2020 06:00:00 -0000

ros-humble-demo-nodes-cpp (0.10.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 21 Sep 2020 05:00:00 -0000

ros-humble-demo-nodes-cpp (0.10.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 17 Jun 2020 05:00:00 -0000

ros-humble-demo-nodes-cpp (0.9.3-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 01 Jun 2020 05:00:00 -0000

ros-humble-demo-nodes-cpp (0.9.2-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 26 May 2020 05:00:00 -0000

ros-humble-demo-nodes-cpp (0.9.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 12 May 2020 05:00:00 -0000

ros-humble-demo-nodes-cpp (0.9.0-1jammy) jammy; urgency=high

  * avoid new deprecations (#442 <https://github.com/ros2/demos/issues/442>)
  * use serialized message (#441 <https://github.com/ros2/demos/issues/441>)
  * Replace deprecated launch_ros usage (#437 <https://github.com/ros2/demos/issues/437>)
  * code style only: wrap after open parenthesis if not in one line (#429 <https://github.com/ros2/demos/issues/429>)
  * Use spin_until_future_complete instead of spin_some in parameters_event demo (#427 <https://github.com/ros2/demos/issues/427>)


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-demo-nodes-cpp//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-demo-nodes-cpp 0.20.5

=== debian/changelog ===
ros-humble-demo-nodes-cpp (0.20.5-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 25 Jul 2024 16:00:00 -0000

ros-humble-demo-nodes-cpp (0.20.4-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 14 May 2024 16:00:00 -0000

ros-humble-demo-nodes-cpp (0.20.3-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-demo-nodes-cpp (0.20.2-1bookworm) bookworm; urgency=high

  * add a demo of content filter listener (#557 <https://github.com/ros2/demos/issues/557>) (#559 <https://github.com/ros2/demos/issues/559>)
  * Contributors: mergify[bot]

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 09 May 2022 16:00:00 -0000

ros-humble-demo-nodes-cpp (0.20.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-humble-demo-nodes-cpp (0.20.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-demo-nodes-cpp (0.19.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-demo-nodes-cpp (0.18.0-1bookworm) bookworm; urgency=high

  * Update maintainers to Audrow Nash and Michael Jeronimo (#543 <https://github.com/ros2/demos/issues/543>)
  * Add how to fix the most vexing parse problem (#541 <https://github.com/ros2/demos/issues/541>)
    * use uniform initialization
  * Contributors: Audrow Nash, Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-humble-demo-nodes-cpp (0.17.0-1bookworm) bookworm; urgency=high

  * Fixing deprecated subscriber callback warnings (#532 <https://github.com/ros2/demos/issues/532>)
  * Contributors: Abrar Rahman Protyasha

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 17 Oct 2021 16:00:00 -0000

ros-humble-demo-nodes-cpp (0.16.0-1bookworm) bookworm; urgency=high

  * Update talker_loaned_message.cpp (#518 <https://github.com/ros2/demos/issues/518>)
  * Contributors: Zongbao Feng

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 10 Aug 2021 16:00:00 -0000

ros-humble-demo-nodes-cpp (0.15.0-1bookworm) bookworm; urgency=high

  * Revert "Use sizeof(char) in place for sizeof(void) (#515 <https://github.com/ros2/demos/issues/515>)" (#516 <https://github.com/ros2/demos/issues/516>)
  * change how serialized message works with subscription (#497 <https://github.com/ros2/demos/issues/497>)
  * Use sizeof(char) in place for sizeof(void) (#515 <https://github.com/ros2/demos/issues/515>)
  * Fix small print issue in allocator tutorial. (#509 <https://github.com/ros2/demos/issues/509>)
  * Contributors: Chris Lalancette, Michel Hidalgo, William Woodall

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 May 2021 16:00:00 -0000

ros-humble-demo-nodes-cpp (0.14.2-1bookworm) bookworm; urgency=high

  * Small fixes for even_parameters_node. (#500 <https://github.com/ros2/demos/issues/500>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 25 Apr 2021 16:00:00 -0000

ros-humble-demo-nodes-cpp (0.14.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 18 Apr 2021 16:00:00 -0000

ros-humble-demo-nodes-cpp (0.14.0-1bookworm) bookworm; urgency=high

  * change ParameterEventHandler to take events as const ref instead of shared pointer (#494 <https://github.com/ros2/demos/issues/494>)
  * Fix integer type in RCLCPP_* macro printf. (#492 <https://github.com/ros2/demos/issues/492>)
  * Contributors: Chris Lalancette, William Woodall

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-demo-nodes-cpp (0.13.0-1bookworm) bookworm; urgency=high

  * Add a demo for the new ParameterEventHandler class (#486 <https://github.com/ros2/demos/issues/486>)
  * Contributors: Michael Jeronimo

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 24 Mar 2021 16:00:00 -0000

ros-humble-demo-nodes-cpp (0.12.1-1bookworm) bookworm; urgency=high

  * Filter qos overrides in paramter events demos (#491 <https://github.com/ros2/demos/issues/491>)
  * Update code now that parameter types are static by default (#487 <https://github.com/ros2/demos/issues/487>)
  * Contributors: Ivan Santiago Paunovic

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-humble-demo-nodes-cpp (0.12.0-1bookworm) bookworm; urgency=high

  * Update logging macros (#476 <https://github.com/ros2/demos/issues/476>)
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-demo-nodes-cpp (0.11.0-1bookworm) bookworm; urgency=high

  * Make sure to wait for the service before declaring events. (#473 <https://github.com/ros2/demos/issues/473>)
  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Chris Lalancette, Michael Jeronimo

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 09 Dec 2020 16:00:00 -0000

ros-humble-demo-nodes-cpp (0.10.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 20 Sep 2020 16:00:00 -0000

ros-humble-demo-nodes-cpp (0.10.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 16 Jun 2020 16:00:00 -0000

ros-humble-demo-nodes-cpp (0.9.3-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 31 May 2020 16:00:00 -0000

ros-humble-demo-nodes-cpp (0.9.2-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 May 2020 16:00:00 -0000

ros-humble-demo-nodes-cpp (0.9.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 11 May 2020 16:00:00 -0000

ros-humble-demo-nodes-cpp (0.9.0-1bookworm) bookworm; urgency=high

  * avoid new deprecations (#442 <https://github.com/ros2/demos/issues/442>)


=== debian/control ===
Source: ros-humble-demo-nodes-cpp
Section: misc
Priority: optional
Maintainer: Audrow Nash <audrow@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-pytest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-example-interfaces, ros-humble-launch <!nocheck>, ros-humble-launch-testing <!nocheck>, ros-humble-launch-testing-ament-cmake <!nocheck>, ros-humble-launch-testing-ros <!nocheck>, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rcutils, ros-humble-rmw, ros-humble-rmw-implementation-cmake, ros-humble-std-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-demo-nodes-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-example-interfaces, ros-humble-launch-ros, ros-humble-launch-xml, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rcutils, ros-humble-rmw, ros-humble-std-msgs, ros-humble-ros-workspace
Description: C++ nodes which were previously in the ros2/examples repository but are now just used for demo purposes.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-demo-nodes-cpp//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-demo-nodes-cpp//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-demo-nodes-cpp//opt/ros/humble/opt/demo_nodes_cpp/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
